<?php

include_once './core/sitemap.class.php';
include_once './core/structure.class.php';

class website_google_map {
	private $base_object;
	private $layout_object;
	
	public function __construct($base_object, $layout_object) {
		$this->base_object = $base_object;
		$this->layout_object = $layout_object;
	}
		
	function run() {
		$geo_arr = split(',', $this->base_object->config->shopConfiguration['google_map_geo_coordinates']);
		
		$geo_data['geo_lat'] = trim($geo_arr[0]);
		$geo_data['geo_lon'] = trim($geo_arr[1]);
		$this->layout_object->assign('geo_data', $geo_data);
		return $this->layout_object->_fetch('content_google_map.tpl');
	}

	

}